/* -------------------------------------------------------------------------- */
/*                     MailMaestro Customization                              */
/* -------------------------------------------------------------------------- */
:root, :root.light, :root .light {
  --phoenix-navbar-vertical-link-color: #31374A;
  --phoenix-navbar-top-bg-color: #F6F8FC;
}

:root .badge {
  --phoenix-badge-font-size: 0.75rem;
  --phoenix-badge-font-weight: 700;
  font-size: var(--phoenix-badge-font-size);
  font-weight: var(--phoenix-badge-font-weight);
}

:root .badge-phoenix-primary,
:root.light .badge-phoenix-primary,
:root .light .badge-phoenix-primary {
  --phoenix-badge-bg: #E8E7FF;
  --phoenix-badge-color: #7468FF;
  --phoenix-badge-border-color: #7468FF;
}

:root .btn-primary,
:root.light .btn-primary,
:root .light .btn-primary {
  --phoenix-btn-color: #fff;
  --phoenix-btn-bg: rgb(116, 104, 255);
  --phoenix-btn-border-color: transparent;
  --phoenix-btn-hover-color: rgb(116, 104, 255);
  --phoenix-btn-hover-bg: #fff;
  --phoenix-btn-hover-border-color: rgb(116, 104, 255);
  --phoenix-btn-focus-shadow-rgb: 255, 255, 255;
  --phoenix-btn-active-color: rgb(116, 104, 255);
  --phoenix-btn-active-bg: #D2CEFF;
  --phoenix-btn-active-border-color: rgb(116, 104, 255);
  --phoenix-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0);
  --phoenix-btn-disabled-color: #D2CEFF;
  --phoenix-btn-disabled-bg: #9086FF;
  --phoenix-btn-disabled-border-color: transparent;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

:root .btn-outline-primary,
:root.light .btn-outline-primary,
:root .light .btn-outline-primary {
  --phoenix-btn-color: rgb(116, 104, 255);
  --phoenix-btn-bg: #fff;
  --phoenix-btn-border-color: rgb(116, 104, 255);
  --phoenix-btn-hover-color: #fff;
  --phoenix-btn-hover-bg: rgb(116, 104, 255);
  --phoenix-btn-hover-border-color: transparent;
  --phoenix-btn-focus-shadow-rgb: 255, 255, 255;
  --phoenix-btn-active-color: rgb(116, 104, 255);
  --phoenix-btn-active-bg: #D2CEFF;
  --phoenix-btn-active-border-color: rgb(116, 104, 255);
  --phoenix-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0);
  --phoenix-btn-disabled-color: #D2CEFF;
  --phoenix-btn-disabled-bg: #9086FF;
  --phoenix-btn-disabled-border-color: #9086FF;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

:root .btn-secondary,
:root.light .btn-secondary,
:root .light .btn-secondary {
  --phoenix-btn-hover-bg: transparent;
  --phoenix-btn-hover-color: #31374a;
  --phoenix-btn-hover-border-color: #31374a;
  --phoenix-btn-active-bg: #7468FF;
  --phoenix-btn-active-color: #fff;
  --phoenix-btn-active-border-color: #7468FF;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

:root .btn-outline-secondary,
:root.light .btn-outline-secondary,
:root .light .btn-outline-secondary {
  --phoenix-btn-hover-bg: #31374a;
  --phoenix-btn-hover-color: #fff;
  --phoenix-btn-hover-border-color: #31374a;
  --phoenix-btn-active-bg: #7468FF;
  --phoenix-btn-active-color: #fff;
  --phoenix-btn-active-border-color: #7468FF;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

:root .navbar-top,
:root.light .navbar-top,
:root .light .navbar-top {
  background: var(--phoenix-navbar-top-bg-color);
}

:root .link,
:root.light .link,
:root .light .link {
  --phoenix-link-color: #7468FF;
  color: var(--phoenix-link-color);
}

:root .link:hover,
:root.light .link:hover,
:root .light .link:hover {
  --phoenix-link-hover-color: #3B37AA;
  color: var(--phoenix-link-hover-color);
}

:root .link.disabled,
:root.light .link.disabled,
:root .light .link.disabled {
  --phoenix-link-disabled-color: #6e7891;
  color: var(--phoenix-link-disabled-color);
}

:root .nav-link,
:root.light .nav-link,
:root .light .nav-link {
  --phoenix-nav-link-color: #7468FF;
  color: var(--phoenix-nav-link-hover-color);
  color: var(--phoenix-nav-link-color);
}

:root .nav-link:hover,
:root.light .nav-link:hover,
:root .light .nav-link:hover {
  --phoenix-nav-link-hover-color: #3B37AA;
  color: var(--phoenix-nav-link-hover-color);
}

:root .nav-link.disabled,
:root.light .nav-link.disabled,
:root .light .nav-link.disabled {
  --phoenix-nav-link-disabled-color: #6e7891;
  color: var(--phoenix-nav-link-disabled-color);
}

.text-primary {
  color: #7468FF !important;
}

.btn-icon.btn-lg {
  width: 3rem;
  height: 3rem;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}
.btn-icon.dropdown-toggle:after {
  display: none;
}

.btn-rotate:active {
  animation: animation-btn-icon-press 0.2s 1 linear;
}
.btn-rotate:active svg:last-child {
  animation: animation-btn-icon-rotate 0.2s 1 linear;
}
@keyframes animation-btn-icon-press {
  0% {transform: scale(1);}
  50% {transform: scale(0.92);}
  to {transform: scale(1);}
}
@keyframes animation-btn-icon-rotate {
  50% {transform: rotate(90deg);}
  to {transform: scale(0.9) rotate(180deg);}
}

.datetimepicker {
  min-width: 320px;
}

.flatpickr-day {
  line-height: 2.0em !important;
}

.flatpickr-day.selected,
.flatpickr-day.startRange,
.flatpickr-day.endRange,
.flatpickr-day.inRange {
  background: #7468FF !important;
  border-color: #7468FF !important;
  color: #fff !important;
}

.flatpickr-day.today,
.flatpickr-day.today:hover,
.flatpickr-day.today:focus,
.flatpickr-day.selected.today,
.flatpickr-day.startRange.today,
.flatpickr-day.endRange.today,
.flatpickr-day.inRange.today {
  background: #fff !important;
  border-color: #7468FF !important;
  color: #7468FF !important;
}

.flatpickr-day.today:hover,
.flatpickr-day.today:focus,
.flatpickr-day.today:active{
  background: #7468FF !important;
  border-color: #7468FF !important;
  color: #fff !important;
}
